dockStatusId to call the Get Dock Status API and verify the status of the task.
Where can I find the API key?
To use the API, you will need an API key. Learn more.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
dockStatusId to call the Get Dock Status API and verify the status of the task.
| Method | POST |
|---|---|
| Endpoint | https://{host}/api/public/tools/:{toolId}/undeploy |
| Content Type | application/json |
| Authorization | X-api-key - The API key used for authentication. |
| PARAMETER | DESCRIPTION | TYPE | REQUIRED/OPTIONAL |
|---|---|---|---|
| host | The environment URL. For example, https://agent-platform.domain.ai/ | String | Required |
| toolId | The unique identifier of the tool being undeployed. | String | Required |
curl --location --request POST 'https://{host}/api/public/tools/a-0xxxxxxxxxxxxxxxxxxe/undeploy' \
--header 'x-api-key: kg-axxxxxxx-5xx3-5xx8-bxxb-9xxxxxxxxxx-ebxxxxxxxxxxx3'
{
"dockStatusId": "ds-exxxxxx7-2xx8-5xxc-axx7-cxx73xxxxxx1",
"toolId": "a-4xxxxxx9-fxx9-5xx7-axx7-9xxfdxxxxxxb",
"jobType": "TOOLS",
"action": "UNDEPLOY",
"status": "SUCCESS"
}
| PARAMETER | DESCRIPTION | TYPE |
|---|---|---|
| dockStatusId | The unique identifier for tracking the tool undeployment status. | String |
| toolId | The unique identifier of the tool being undeployed. | String |
| jobType | The type of job being performed (TOOLS). | String |
| action | The action being performed (UNDEPLOY). | String |
| status | The undeployment status (SUCCESS, “IN_PROGRESS”, or FAILED). | String |
Was this page helpful?